com.google.appengine.tools.development

## Class DevAppServerMain

- java.lang.Object
- - com.google.appengine.tools.development.DevAppServerMain

-     public class DevAppServerMain
      extends java.lang.Object

  The command-line entry point for DevAppServer.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `EXTERNAL_RESOURCE_DIR_ARG`
    `static java.lang.String` | `GENERATE_WAR_ARG`
    `static java.lang.String` | `GENERATED_WAR_DIR_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DevAppServerMain(java.lang.String[] args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `static void` | `printHelp(java.io.PrintStream out)`
    `static void` | `validateWarPath(java.io.File war)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXTERNAL_RESOURCE_DIR_ARG

          public static final java.lang.String EXTERNAL_RESOURCE_DIR_ARG

      See Also:
        Constant Field Values

    - #### GENERATE_WAR_ARG

          public static final java.lang.String GENERATE_WAR_ARG

      See Also:
        Constant Field Values

    - #### GENERATED_WAR_DIR_ARG

          public static final java.lang.String GENERATED_WAR_DIR_ARG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DevAppServerMain

          public DevAppServerMain(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### printHelp

          public static void printHelp(java.io.PrintStream out)

    - #### validateWarPath

          public static void validateWarPath(java.io.File war)